Bug 436632 - xorg locks up, no io, usually using firefox
xorg locks up, no io, usually using firefox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
card_R200
: Reopened, Triaged
: 491399 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 12:54 EST by Frank DiPrete
Modified: 2009-12-18 01:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:04:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (1.11 KB, text/plain)
2008-03-08 12:55 EST, Frank DiPrete
no flags Details
xorg log with config used as attached to the existing bug report (65.26 KB, text/plain)
2008-03-11 07:40 EDT, Frank DiPrete
no flags Details
xorg log (64.87 KB, text/plain)
2008-03-15 14:14 EDT, Frank DiPrete
no flags Details

  None (edit)
Description Frank DiPrete 2008-03-08 12:54:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc7 Firefox/2.0.0.12

Description of problem:

2 modes of failure:

1) screen goes blank - after toogling between text tty and back, it comes back.

2) usually while using firefox, screen locks up as well as all IO.
no keyboard or mouse input.



Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.6.3-4.fc7

How reproducible:
Sometimes


Steps to Reproduce:
1. intermittent
2.
3.

Actual Results:

xorg / pc locks up 1 in 3 times using it.

Expected Results:

no lock up

Additional info:
01:06.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (rev 01)

01:06.0 0300: 1002:5960 (rev 01)
01:06.1 0380: 1002:5940 (rev 01)
01:06.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (rev 01) (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Unknown device 2002
        Flags: bus master, medium devsel, latency 64, IRQ 18
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at de00 [size=256]
        Memory at fe920000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at e4080000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2

01:06.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (Secondary) (rev 01)
        Subsystem: ATI Technologies Inc Unknown device 2003
        Flags: bus master, medium devsel, latency 64
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Memory at fe930000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [50] Power Management version 2
Comment 1 Frank DiPrete 2008-03-08 12:55:54 EST
Created attachment 297312 [details]
xorg.conf
Comment 2 Matěj Cepl 2008-03-10 14:28:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Frank DiPrete 2008-03-11 07:40:45 EDT
Created attachment 297597 [details]
xorg log with config used as attached to the existing bug report
Comment 4 Frank DiPrete 2008-03-15 14:14:18 EDT
Created attachment 298153 [details]
xorg log
Comment 5 Frank DiPrete 2008-03-15 14:15:12 EDT
locks up every time.
driver is unusable with this card.
Comment 6 Frank DiPrete 2008-03-16 16:35:49 EDT
disabled AIGLX, glx still active.
1 day without a lockup

[root@thurston ~]# glxinfo
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method, 
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe, 
    GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_SGI_make_current_read, 
    GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig
OpenGL vendor string: Tungsten Graphics, Inc.
OpenGL renderer string: Mesa DRI R200 20060602 x86/MMX/SSE2 TCL
OpenGL version string: 1.3 Mesa 6.5.2
OpenGL extensions:
    GL_ARB_imaging, GL_ARB_multisample, GL_ARB_multitexture, 
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_texture_border_clamp, 
    GL_ARB_texture_compression, GL_ARB_texture_cube_map, 
    GL_ARB_texture_env_add, GL_ARB_texture_env_combine, 
    GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, 
    GL_ARB_texture_mirrored_repeat, GL_ARB_texture_rectangle, 
    GL_ARB_transpose_matrix, GL_ARB_vertex_buffer_object, 
    GL_ARB_vertex_program, GL_ARB_window_pos, GL_EXT_abgr, GL_EXT_bgra, 
    GL_EXT_blend_color, GL_EXT_blend_equation_separate, 
    GL_EXT_blend_func_separate, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_clip_volume_hint, GL_EXT_compiled_vertex_array, GL_EXT_convolution, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_histogram, GL_EXT_packed_pixels, GL_EXT_point_parameters, 
    GL_EXT_polygon_offset, GL_EXT_rescale_normal, GL_EXT_secondary_color, 
    GL_EXT_separate_specular_color, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_edge_clamp, 
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine, 
    GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp, 
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_vertex_array, 
    GL_APPLE_packed_pixels, GL_ATI_blend_equation_separate, 
    GL_ATI_texture_env_combine3, GL_ATI_texture_mirror_once, 
    GL_ATI_fragment_shader, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_ycbcr_texture, GL_MESA_window_pos, 
    GL_NV_blend_square, GL_NV_light_max_exponent, GL_NV_texture_rectangle, 
    GL_NV_texgen_reflection, GL_OES_read_format, GL_SGI_color_matrix, 
    GL_SGI_color_table, GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x24 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x25 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x26 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x27 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x28 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x29 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2a 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x2b 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2c 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x2d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2e 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x2f 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x30 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x31 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x32 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x4c 32 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 Ncon
[root@thurston ~]# 
Comment 7 Frank DiPrete 2008-03-22 08:36:26 EDT
after disabling AIGLX, no lockups.
random blank screen still happens requiring tty toggle still happens

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
	Option "AIGLX" "false" 
EndSection

(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(**) AIGLX disabled
(II) Loading extension GLX

Comment 8 Frank DiPrete 2008-04-17 19:39:35 EDT
with glx and dri enabled xorg still locks up.
disable dri prevents lockup. 
Comment 9 Frank DiPrete 2008-05-10 08:47:22 EDT
tested for weeks with dri disabled - no lockup.
looks like a dri problem.
Comment 10 Bug Zapper 2008-05-14 11:22:16 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Frank DiPrete 2008-05-17 09:47:42 EDT
dri still locks up on fedora 8

xorg-x11-drv-ati-6.8.0-4.fc8
Comment 12 Bug Zapper 2008-11-26 05:04:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 John Griffiths 2008-12-21 09:45:07 EST
This still happens in Fedora 10. My Fedora 10 system locked up when I was trying to file this bug report.

I am using the Firefox from Mozilla.

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008102920 Firefox/3.0.4

on kernel

Linux version 2.6.27.5-117.fc10.i686.PAE (mockbuild@x86-7.fedora.phx.redhat.com) (gcc version 4.3.2 20081105 (Red Hat 4.3.2-7) (GCC) ) #1 SMP Tue Nov 18 12:08:10 EST 2008

The system locks up. There is no response from the keyboard or mouse. Sometimes there appears to be disk syncs still going on but most of the time not. I tried to log in through ssh from another system and the login hangs. The system does still answer a ping.
Comment 14 Bug Zapper 2009-01-09 02:42:29 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 John Griffiths 2009-01-11 11:32:41 EST
Amazing that this has been zapped in light of my commnet #13.
Comment 16 John Griffiths 2009-01-11 11:34:20 EST
Amazing that this has been zapped in light of my comment #13.
Comment 17 John Gilmore 2009-04-02 20:02:06 EDT
There is a similar bug (which seems to be reproducible in <10 minutes of activity) in #491399.
Comment 18 Matthew Miller 2009-09-29 10:01:27 EDT
Suddenly started happening to me with

xorg-x11-drv-ati-6.13.0-0.4.20090908git651fe5a47.fc12.x86_64 on rawhide from 2009.09.29.

(--) PCI:*(0:1:0:0) 1002:9583:106b:0083 ATI Technologies Inc M76XT [Mobility Radeon HD 2600 XT] rev 0, Mem @ 0xc0000000/268435456, 0xd0620000/65536, I/O @ 0x00003000/256, BIOS @ 0x????????/131072


Xorg takes up 100% of CPU, and if I strace it, I get:

ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)
ioctl(9, 0xc0086464, 0x7fff168b66a0)    = -1 EBUSY (Device or resource busy)

over and over very, very quickly.
Comment 19 Matthew Miller 2009-09-29 10:07:01 EDT
Probably this upstream:

http://bugs.freedesktop.org/show_bug.cgi?id=21598
Comment 20 Matthew Miller 2009-09-29 10:07:33 EDT
*** Bug 491399 has been marked as a duplicate of this bug. ***
Comment 21 Matthew Miller 2009-09-29 10:12:29 EDT
(Except that upstream says a fix went into 6.12, and as mentioned above I'm using the git snapshot in rawhide, which is newer than that...)
Comment 22 Matthew Miller 2009-09-29 10:23:11 EDT
#0  0x00007f25cf046717 in ioctl () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f25cc8cc203 in drmIoctl (fd=9, request=3221775460, arg=0x7fff168b66a0) at xf86drm.c:188
#2  0x00007f25cc8cc44c in drmCommandWriteRead (fd=<value optimized out>, 
    drmCommandIndex=<value optimized out>, data=<value optimized out>, size=<value optimized out>)
    at xf86drm.c:2394
#3  0x00007f25cbfbdf59 in bo_wait (bo=0x2146a80) at radeon_bo_gem.c:206
#4  0x00007f25cbfbe035 in bo_map (bo=0x2146a80, write=<value optimized out>)
    at radeon_bo_gem.c:181
#5  0x00007f25cc27dea6 in _radeon_bo_map (line=1170, func=<value optimized out>, 
    file=0x6363615f78783672 <Address 0x6363615f78783672 out of bounds>, write=1, 
    bo=<value optimized out>) at /usr/include/drm/radeon_bo.h:151
#6  r600_vb_get (line=1170, func=<value optimized out>, 
    file=0x6363615f78783672 <Address 0x6363615f78783672 out of bounds>, write=1, 
    bo=<value optimized out>) at r6xx_accel.c:1170
#7  0x00007f25cc27df17 in r600_cp_start (pScrn=0x205dea0) at r6xx_accel.c:1204
#8  0x00007f25cc27ba56 in R600PrepareSolid (pPix=0x2520e80, alu=<value optimized out>, 
    pm=4294967295, fg=<value optimized out>) at r600_exa.c:169
#9  0x00007f25cb581655 in exaFillRegionSolid (pDrawable=0x2520e80, pRegion=0x2522280, 
    pixel=<value optimized out>, planemask=<value optimized out>, alu=<value optimized out>, 
    clientClipType=0) at exa_accel.c:1003
#10 0x00007f25cb58226a in exaPolyFillRect (pDrawable=0x2520e80, pGC=0x20aab60, nrect=1, 
    prect=0x250bf88) at exa_accel.c:800
#11 0x00000000004d21db in damagePolyFillRect (pDrawable=0x2520e80, pGC=0x20aab60, nRects=1, 
    pRects=0x250bf88) at damage.c:1404
#12 0x0000000000563537 in miColorRects (pDst=0x2520b20, pClipPict=0x2520b20, color=0xc0086464, 
    nRect=<value optimized out>, rects=0x250bf88, xoff=0, yoff=<value optimized out>)
    at mirect.c:84
#13 0x0000000000563613 in miCompositeRects (op=3 '\003', pDst=0x2520b20, color=0x250bf80, 
    nRect=<value optimized out>, rects=0x250bf88) at mirect.c:116
#14 0x00000000004cbf04 in ProcRenderFillRectangles (client=0x2437b60) at render.c:1467
#15 0x000000000042c5dc in Dispatch () at dispatch.c:445
#16 0x0000000000421c6a in main (argc=<value optimized out>, argv=<value optimized out>, 
    envp=<value optimized out>) at main.c:285
Comment 23 Matthew Miller 2009-10-26 14:27:15 EDT
See bug #517625.
Comment 24 Bug Zapper 2009-11-18 04:33:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2009-12-18 01:04:55 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.